Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### boolean()

Examples

    String s = "true";
    boolean b = boolean(s);
    if (b) {
      println("The boolean is true");
    } else {
      println("The boolean is false");
    }

Description | Converts a primitive datatype, string, or array to its boolean representation. The number 0 evaluates to false and all other numbers evaluate to true.

Syntax

    boolean(val)

Parameters

val | String, String[]

Returns | boolean
Usage | Web & Application
Related | boolean

Updated on August 30, 2010 04:29:39pm EDT